Package org.apache.tapestry5.ioc.internal.services

# Class AspectInterceptorBuilderImpl<T>

java.lang.Object
org.apache.tapestry5.ioc.internal.services.AbtractAspectInterceptorBuilder<T>
org.apache.tapestry5.ioc.internal.services.AspectInterceptorBuilderImpl<T>

All Implemented Interfaces:
  `AnnotationAccess`, `MethodAdviceReceiver`, `AspectInterceptorBuilder<T>`

public class AspectInterceptorBuilderImpl<T> extends AbtractAspectInterceptorBuilder<T>

- ## Field Summary

  ### Fields inherited from class org.apache.tapestry5.ioc.internal.services.AbtractAspectInterceptorBuilder

  `annotationAccess`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AspectInterceptorBuilderImpl(AnnotationAccess annotationAccess, PlasticProxyFactory plasticProxyFactory, Class<T> serviceInterface, T delegate, String description)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adviseAllMethods(MethodAdvice advice)`
  Advises all methods of the interface with the given advice.
  `void`
  `adviseMethod(Method method, MethodAdvice advice)`
  Adds advice for a specific method of the aspect interceptor being constructed.
  `T`
  `build()`
  Builds and returns the interceptor.
  `Class`
  `getInterface()`
  Returns the interface for which methods may be advised.

  ### Methods inherited from class org.apache.tapestry5.ioc.internal.services.AbtractAspectInterceptorBuilder

  `getClassAnnotationProvider, getMethodAnnotation, getMethodAnnotationProvider`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AspectInterceptorBuilderImpl

    public AspectInterceptorBuilderImpl(AnnotationAccess annotationAccess, PlasticProxyFactory plasticProxyFactory, Class<T> serviceInterface, T delegate, String description)

- ## Method Details

  - ### adviseMethod

    public void adviseMethod(Method method, MethodAdvice advice)
    Description copied from interface: `MethodAdviceReceiver`
    Adds advice for a specific method of the aspect interceptor being constructed.
    Parameters:
      `method` - method (of the interface for which an interceptor is being constructed) to be advised. Multiple advice is allowed for a single method; the advice will be executed in the order it is added.
      `advice` - the advice for this particular method. Advice must be threadsafe.

  - ### adviseAllMethods

    public void adviseAllMethods(MethodAdvice advice)
    Description copied from interface: `MethodAdviceReceiver`
    Advises all methods of the interface with the given advice.
    Parameters:
      `advice` - the method advice to be applied.

  - ### getInterface

    public Class getInterface()
    Description copied from interface: `MethodAdviceReceiver`
    Returns the interface for which methods may be advised.
    Returns:
      the interface class instance.

  - ### build

    public T build()
    Description copied from interface: `AspectInterceptorBuilder`
    Builds and returns the interceptor. Any methods that have not been advised will become "pass thrus".
    Returns:
      the interceptor instance.